Adobe Fixes 23 Vulnerabilities in Adobe Reader and Acrobat

Adobe has released an security update for Adobe Reader and Adobe Acrobat. The current update fixes 23 vulnerabilities in it’s previous version 9.3.3. The indentified vulnerabilities affect all operating systems (Windows, Mac OS X and Unix). The update is rated as critical so users are advised to update ASAP. Learn more about the update in official blog post.

Adobe recommends users of Adobe Reader 9.3.4 and earlier versions for Windows, Macintosh and UNIX update to Adobe Reader 9.4. (For Adobe Reader users on Windows and Macintosh, who cannot update to Adobe Reader 9.4, Adobe has provided the Adobe Reader 8.2.5 update.)
Adobe recommends users of Adobe Acrobat 9.3.4 and earlier versions for Windows and Macintosh update to Adobe Acrobat 9.4. Adobe recommends users of Adobe Acrobat 8.2.4 and earlier versions for Windows and Macintosh update to Adobe Acrobat 8.2.5.

Download Latest Version of Adobe Reader 9.3.4

1 thought on “Adobe Fixes 23 Vulnerabilities in Adobe Reader and Acrobat”

Leave a Comment

This site is protected by reCAPTCHA and the Google Privacy Policy and Terms of Service apply.